# The main driver
class PostalAddressTranslator
  # Translate Postal Adresses
  #
  # Example:
  #   >> PostalAddressTranslator.to_fr("2-12 Chapelle Saint-Pierre Alley, 35370 Argentré-du-Plessis, France")
  #   => 2-12 Allée Chapelle Saint-Pierre, 35370 Argentré-du-Plessis, France
  #
  # Arguments:
  #   postal_address: (String)
  #   lamguage: (String)
  
  def self.to_fr(postal_address, language = "english")
    translator = FrenchTranslator.new(postal_address, language)
    translator.to_fr
  end
end

require 'postal_address_translator/french_translator'